#!/usr/bin/env python

#Copyright 2009 tv-player team <tvplayer.staff@gmail.com>
#       
#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU Lesser General Public License as published by
#the Free Software Foundation; version 3 of the License.
#       
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU Lesser General Public License for more details.
#       
#You should have received a copy of the GNU Lesser General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#MA 02110-1301, USA.

from distutils.core import setup
from distutils.command.install_data import install_data
from distutils.dep_util import newer
from distutils.log import info
import glob
import os
import sys

class InstallData(install_data):
  def run (self):
    install_data.run(self)


setup(name='Tv-Player',
      version='0.9',
      description='Web TV/Radio viewer',
      author='Tv-Player Team',
      author_email='tvplayer.staff@gmail.com',
      url='http://tvplayersite.altervista.it',
      license='LGPL v3',
      scripts=['tv-player'],
      data_files=[
            ('/usr/share/applications', ['application/tvplayer.desktop']),
            ('/usr/share/doc/tvplayer', glob.glob('doc/*')),
            ('/usr/share/tvplayer/libradiotv', glob.glob('libradiotv/*')),
            ('/usr/share/tvplayer/libmimms', glob.glob('libmimms/*')),
            ('/usr/share/tvplayer/atom', glob.glob('atom/*')),
            ('/usr/share/tvplayer/pixmaps', glob.glob('pixmaps/*')),
            ('/usr/share/tvplayer/ui', glob.glob('ui/*')),
            ('/usr/share/tvplayer/gdata', glob.glob('gdata/*')),
            ('/usr/share/tvplayer', ['la7.sh', 'main-gtk.py', 'regioni.list']),
            ('/usr/share/locale/en/LC_MESSAGES', ['po/en/tvplayer.mo']),
            ('/usr/share/locale/it/LC_MESSAGES', ['po/it/tvplayer.mo']),
            ('/usr/share/locale/fr/LC_MESSAGES', ['po/fr/tvplayer.mo']),
                 ],
      cmdclass={'install_data': InstallData}
     )
